[package]
name = "pxl8-server"
version = "0.1.0"
edition = "2024"

[build-dependencies]
bindgen = "0.72"

[dependencies]
bevy_ecs = { version = "0.18", default-features = false }
libc = { version = "0.2", default-features = false }
libm = { version = "0.2", default-features = false }

[target.'cfg(windows)'.dependencies]
windows-sys = { version = "0.61", default-features = false, features = [
    "Win32_System_Memory",
    "Win32_System_Performance",
    "Win32_System_Threading",
    "Win32_Networking_WinSock",
] }

[[bin]]
name = "pxl8-server"
path = "src/main.rs"

[profile.dev]
panic = "abort"

[profile.release]
panic = "abort"

[features]
default = []
std = ["bevy_ecs/std"]
